#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_CumulativeSigninCFGData
{
	//ID
	int mID;
	//礼包名称
	std::string mName;
	//前端显示
	std::vector<std::string> mDisplay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemCount;
	//浮动奖励
	std::vector<int> mFloatingReward;
	//需要天数
	int mNeedday;
};

class M_CumulativeSigninCFG
{
public:
private:
	static std::auto_ptr<M_CumulativeSigninCFG> msSingleton;
public:
	int GetCount();
	const M_CumulativeSigninCFGData* GetData(int ID);
	boost::unordered_map<int, M_CumulativeSigninCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_CumulativeSigninCFG* GetSingleton();
private:
	boost::unordered_map<int, M_CumulativeSigninCFGData> mMapData;
};
